//This file is part of the LTakeshi v0.0 library written in -*- C++ -*-

//LTakeshi v0.0: a multi-platform C++ library for GUI management
//Copyright (C) Luca Saiu, 1999-2000

//This is free software; you can redistribute it and/or modify it
//under the terms of the GNU Lesser General Public License version 2.1
//as published by the Free Software Foundation.

//This software is distributed in the hope that it will be useful, but
//WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public
//License along with this file; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.


//Luca Saiu
//------------------------------------------
//e-mail:      positrone@freemail.it
//paper mail:  Via Camporcioni, 15
//             51019 Ponte Buggianese - Pistoia
//             Italy
//telephone:   0572-635477 Italy


#ifndef _LTAKESHI_H
#define _LTAKESHI_H

#include "LAttributes.h"
#include "LWidget.h" // This is a virtual class definition
#include "LColor.h"
#include "LEvent.h"

// Headers for containter widgets
#include "LContainer.h" // This is a virtual class definition
#include "LWindow.h"
#include "LCanvas.h"

// Header for simple widgets
#include "LMenu.h"
#include "LTextLabel.h"
#include "LButton.h"
#include "LInputBox.h"
#include "LScrollBar.h"

#include "LCommonDialogs.h"
#include "LPixmap.h"

void TakeshiMainLoop(); //Defined in ./sysdep/SysDep.cc
void LBeep();           //Defined in ./sysdep/SysDep.cc

#endif //#ifndef _LTAKESHI_H
