//This file is part of the LTakeshi v0.0 library written in -*- C++ -*-

//LTakeshi v0.0: a multi-platform C++ library for GUI management
//Copyright (C) Luca Saiu, 1999-2000

//This is free software; you can redistribute it and/or modify it
//under the terms of the GNU Lesser General Public License version 2.1
//as published by the Free Software Foundation.

//This software is distributed in the hope that it will be useful, but
//WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public
//License along with this file; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.


//Luca Saiu
//------------------------------------------
//e-mail:      positrone@freemail.it
//paper mail:  Via Camporcioni, 15
//             51019 Ponte Buggianese - Pistoia
//             Italy
//telephone:   0572-635477 Italy


#include "LButton.h"
#include "LWindow.h"
#include "LAttributes.h"

LButton::LButton(LContainer &w){
  parent=&w;
  InsertInt(LAX,false,1);
  InsertInt(LAY,false,1);
  InsertInt(LAH,false,1);
  InsertInt(LAW,false,80);
  InsertString(LAImage,false,""); // intentionally start with a
                                  // wrong file name
  InsertString(LAText,false,"");  // start with a short name
  InsertCallBack(LAEffect,false);
  SystemDependantInit();                     // this also calls Apply()
}

LButton::~LButton(){
  SystemDependantDone();
}













