//This file is part of the LTakeshi v0.0 library written in -*- C++ -*-

//LTakeshi v0.0: a multi-platform C++ library for GUI management
//Copyright (C) Luca Saiu, 1999-2000

//This is free software; you can redistribute it and/or modify it
//under the terms of the GNU Lesser General Public License version 2.1
//as published by the Free Software Foundation.

//This software is distributed in the hope that it will be useful, but
//WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//Lesser General Public License for more details.

//You should have received a copy of the GNU Lesser General Public
//License along with this file; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.


//Luca Saiu
//------------------------------------------
//e-mail:      positrone@freemail.it
//paper mail:  Via Camporcioni, 15
//             51019 Ponte Buggianese - Pistoia
//             Italy
//telephone:   0572-635477 Italy


#ifndef LCONTAINER_H_
#define LCONTAINER_H_

#include "LWidget.h"
#include "LTypes.h"
#include "sysdep/LContainer.h"

class LContainer:public LWidget{
// If this platform needs some 'friend' declarations, the preprocessor
// will put them here
#ifdef PLATFORM_DEPENDANT_LCONTAINER_FRIENDS
  PLATFORM_DEPENDANT_LCONTAINER_FRIENDS
#endif
protected:
public:
  // System-dependant members; To do: I have to make it public, just by now
  SysDepContainerData SysDep;
};

#endif //#ifndef LCONTAINER_H_



