#ifndef _AUX_H
#define _AUX_H

///////////////////////////////////////////////////
#define OS_UNIX
///////////////////////////////////////////////////

extern "C"{
#include <stdio.h>
}
#include <iostream.h>

#ifndef FALSE
// #define FALSE 0
#endif

#ifndef TRUE
// #define TRUE 1
#endif

#ifndef PI
 #define PI 3.14159265358979323846264338327
#endif

#define INDEX unsigned long

class Lstring;

void fatal(const char* s);
void fatal(const Lstring s);
void* xmalloc(size_t size);
void* xrealloc(void *ptr,size_t size);

bool FileExists(const Lstring);

class LException{
public:
  LException();
  LException(const LException&);
  ~LException();
};

#ifdef STUPID_DOS_NEWLINE
  // Use the stupid DOS-like "\r\n" sequence as newline:
  #define NEWLINE "\r\n"
#else
  // Use the more rational UNIX-style "\n":
  #define NEWLINE "\n"
#endif

#endif /*ifndef _AUX_H*/

