#ifndef _LQUEUE_H
#define _LQUEUE_H

#include "Lgen/Lgen.h"
#include "Lblist.h"

template <class T> class Lqueue
{
 Lblist<T> L;
public:
 Lqueue();
 ~Lqueue();
 inline void enqueue(T);
 inline T dequeue();
 inline T& access();
};

template <class T> Lqueue<T>::Lqueue()
{
}

template <class T> Lqueue<T>::~Lqueue()
{
}

template <class T> void Lqueue<T>::enqueue(T x)
{
 L.inserttail(x);
 return;
}

template <class T> T Lqueue<T>::dequeue()
{
 T r=L.accesshead();
 L.removehead();
 return(r);
}

template <class T> T& Lqueue<T>::access(){
 return L.accesshead();
}

#endif





