#ifndef _LSTACK_H
#define _LSTACK_H
#include "Lblist.h"

template <class T> class Lstack{
 Lblist<T,1> L;
public:
 Lstack();
 ~Lstack();
 inline void push(const T);
 inline T pop();
 inline T& access();
 inline INDEX getdim();
};

template <class T> Lstack<T>::Lstack()
{}

template <class T> Lstack<T>::~Lstack()
{}

template <class T> inline INDEX Lstack<T>::getdim()
{
 return(L.getdim());
}

template <class T> void Lstack<T>::push(const T x)
{
 L.inserthead(x);
 return;
}

template <class T> T Lstack<T>::pop()
{
 if(!(L.getdim()))
 {
  cout<<"\a\nERROR: Underflow in Lstack<T>\n";
  exit(EXIT_FAILURE);
 }
 else
 {
  T r=L.accesshead();
  L.removehead();
  return(r);
 }
}

template <class T> T& Lstack<T>::access(){
 return L.accesshead();
}

#endif






